vector-0.10.0.1: Efficient Arrays

Portability | portable
Stability | experimental
Maintainer | Roman Leshchinskiy <rl@cse.unsw.edu.au>
Safe Haskell | Safe-Inferred

Data.Vector.Fusion.Stream.Size

Description

Size hints for streams.

Synopsis

- data Size
  - = Exact Int
  - | Max Int
  - | Unknown
- smaller :: Size -> Size -> Size
- larger :: Size -> Size -> Size
- toMax :: Size -> Size
- upperBound :: Size -> Maybe Int

# Documentation

data Size Source

Size hint

Constructors

Exact Int | Exact size
Max Int | Upper bound on the size
Unknown | Unknown size

Instances

Eq Size |
Num Size |
Show Size |

smaller :: Size -> Size -> Size Source

Minimum of two size hints

larger :: Size -> Size -> Size Source

Maximum of two size hints

toMax :: Size -> Size Source

Convert a size hint to an upper bound

upperBound :: Size -> Maybe Int Source

Compute the maximum size from a size hint if possible